# mba-cli tenant

> Read tenants (key-scoped)

Read tenants (key-scoped)

CLI version: `0.3.2`

## Commands

### mba-cli tenant get

Get one tenant by id or tenant ID

Get single tenant resource

Get a single tenant resource by its unique identifier with all configuration details

---

Get single tenant resource by its unique name

Get a single tenant resource by its unique tenant identifier with all configuration details

Get one tenant by id or tenant ID

Flags:

- `--id` (string): Tenant record id
- `--tenant-id` (string): Tenant slug (e.g. waggytails)

API endpoints:

- GET /tenants/{id} — https://mybusinessapp.co.za/developers/api/tenant#tag/Tenant/get_single_tenant
- GET /tenants/tenant/{tenantID} — https://mybusinessapp.co.za/developers/api/tenant#tag/Tenant/get_single_tenant_by_tenant_id

### mba-cli tenant ls

List tenants (default: page 1, 20 per page)

Get all tenant resources

Get all the tenant resources with optional pagination and filtering

List tenants (default: page 1, 20 per page)

Flags:

- `--all` (bool, default `false`): Return all rows (paginate=false)
- `--limit` (int, default `20`): Query parameter limit (from the API spec)
- `--page` (int, default `1`): Query parameter page (from the API spec)
- `--paginate` (bool, default `true`): Query parameter paginate (from the API spec)

API endpoints:

- GET /tenants — https://mybusinessapp.co.za/developers/api/tenant#tag/Tenant/get_all_tenants

---

[Rendered page](https://mybusinessapp.co.za/developers/cli/reference/tenant)

© MyBusinessApp (Pty) Ltd. Proprietary documentation — do not republish.
